GET
/accountGet account profile
Returns the authenticated user's profile information including ID, name, and email address.
No request parameters
PATCH
/accountUpdate account profile
Updates the authenticated user's profile information including name and email address.
Request Body
Bodyapplication/json
| Field | Type | Notes |
|---|---|---|
name | any | required |
email | any | required |
DELETE
/accountDelete account
Permanently deletes the user account and all associated data including all apps, versions, builds, metadata, screenshots, credentials, and subscriptions.
Parameters
confirmationEmailqueryrequiredGET
/account/notification-preferencesGet notification preferences
Returns all notification preferences with their email and push enabled status.
No request parameters
PATCH
/account/notification-preferences/{notificationType}Update notification preference
Enables or disables email and/or push for a specific notification type.
Parameters
notificationTypepathrequiredRequest Body
Bodyapplication/json
| Field | Type | Notes |
|---|---|---|
emailEnabled | boolean | |
pushEnabled | boolean |